
Foreman - Feature #37307

Add more control over SelectAllCheckbox

03/28/2024 04:53 PM - Oleh Fedorenko

Status: Closed   

Priority: Normal   

Assignee: Oleh Fedorenko   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases: 3.11.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10113

  

Description

In case this component is mounted into a custom/embedded table it should be able to persist selected items between renders.

Also, it would be handy to have Select default option in case Select none doesn't make sense if one of the items must be selected.

Associated revisions

Revision 7878a4a5 - 04/24/2024 12:20 PM - Oleh Fedorenko

Fixes #37307 - Add more control over SelectAllCheckbox

History

#1 - 03/28/2024 04:56 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/10113 added

#2 - 04/24/2024 12:20 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 04/24/2024 01:00 PM - Oleh Fedorenko

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|7878a4a5c3908ef589751c3084d22ffe079a1070.
